Subject: Re: linux-next: manual merge of the audit tree with the powerpc tree

From: Christophe Leroy <[email-masked]>
Date: Wed, 27 Oct 2021 13:41:09 +0200

Le 27/10/2021 à 13:29, Michael Ellerman a écrit :
> Paul Moore <[email-masked]> writes:
>> On Tue, Oct 26, 2021 at 6:55 AM Michael Ellerman <[email-masked]> wrote:
>>> Stephen Rothwell <[email-masked]> writes:
>>>> Hi all,
>>>>
>>>> Today's linux-next merge of the audit tree got conflicts in:
>>>>
>>>>    arch/powerpc/kernel/audit.c
>>>>    arch/powerpc/kernel/compat_audit.c
>>>>
>>>> between commit:
>>>>
>>>>    566af8cda399 ("powerpc/audit: Convert powerpc to AUDIT_ARCH_COMPAT_GENERIC")
>>>>
>>>> from the powerpc tree and commits:
>>>>
>>>>    42f355ef59a2 ("audit: replace magic audit syscall class numbers with macros")
>>>>    1c30e3af8a79 ("audit: add support for the openat2 syscall")
>>>>
>>>> from the audit tree.
>>>
>>> Thanks.
>>>
>>> I guess this is OK, unless the audit folks disagree. I could revert the
>>> powerpc commit and try it again later.
>>>
>>> If I don't hear anything I'll leave it as-is.
>>
>> Hi Michael,
>>
>> Last I recall from the powerpc/audit thread there were still some
>> issues with audit working properly in your testing, has that been
>> resolved?
> 
> No.
> 
> There's one test failure both before and after the conversion to use the
> generic code.
> 
>> If nothing else, -rc7 seems a bit late for this to hit -next for me to
>> feel comfortable about this.
> 
> OK. I'll revert the patch in my tree.
> 

But it's been in the pipe since end of August and no one reported any 
issue other issue than the pre-existing one, so what's the new issue 
that prevents us to merge it two monthes later, and how do we walk 
forward then ?

Thanks
Christophe